Subject: bug#65030: 30.0.50; Check keyword args of make-process

From: Robert Pluim <[email-masked]>
Date: Tue, 08 Aug 2023 11:27:29 +0200

>>>>> On Tue, 8 Aug 2023 11:16:07 +0200, Mattias Engdegård <[email-masked]> said:
    >> 
    >> As long as that improvement results in warnings for mistakes such as
    >> misspelled keywords, rather than errors.

    Mattias> Of course not. Incorrect arguments detected at run-time
    Mattias> should elicit errors, as they do now.  The point being
    Mattias> that for something as complex as make-process they should
    Mattias> be more helpful than just `wrong-type-argument`.

You want to transform working code that passes ':coding-system' to
`make-process' into code that signals an error? (yes, it doesnʼt work
100% as the programmer thinks it does, but that means we should warn,
not error).

Robert
--